<div class="my-worklist">
  <app-content-banner [isDashboard]="false" pageName="My Worklist"></app-content-banner>
  <mat-card class="my-worklist-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <div fxLayout="column" flex class="my-worklist-banner">
        <div fxLayout="row" class="banner-row">
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="banner-row">
            <span fxLayout="row" *ngIf="userData.roleId !== 2">
              <span><b>Pending</b>&nbsp;({{pendingAppsCount}})</span>
              <span><b>Quality Assurance</b>&nbsp;({{followUpAppsCount}})</span>
              <span><b>Completed</b>&nbsp;({{completedAppsCount}})</span>
            </span>
            <span fxLayout="row" *ngIf="userData.roleId === 2">
              <span><b>Pending Supervisor Signoff</b>&nbsp;(10)</span>
              <span><b>In-Progress</b>&nbsp;(10)</span>
              <span><b>Completed (Supervisor Signoff) in
                  last</b>&nbsp;(10)&nbsp;<b>days</b>&nbsp;(30)</span>
            </span>
          </div>
        </div>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="myWorklistTabChange()">
        <!--Pending-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Pending</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="my-worklist-small-box mat-elevation-z4" fxLayout="column">
                <div class="my-worklist-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <app-my-worklist-pending-grid [name]="'pending'" (getMyWoklistStats)="getMyWoklistStats($event)"></app-my-worklist-pending-grid>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Follow-up Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Quality Assurance</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="my-worklist-small-box mat-elevation-z4" fxLayout="column">
                <div class="my-worklist-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <app-my-worklist-followup-grid [name]="'followup'" (getMyWoklistStats)="getMyWoklistStats($event)" ></app-my-worklist-followup-grid>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Completed Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Completed</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class=" mat-elevation-z0">
              <div class="my-worklist-small-box mat-elevation-z4" fxLayout="column">
                <div class="my-worklist-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <app-my-worklist-completed-grid [name]="'completed'"></app-my-worklist-completed-grid>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip" *ngIf="tabSelectedIndex !== 0">Previous</button>
          <span *ngIf="tabSelectedIndex !== 2">
            &nbsp;&nbsp;
            <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
              matTooltipClass="pact-tooltip">Next</button>
          </span>
        </div>
      </div>
    </div>
  </mat-card>
</div>